Subject: Re: [PATCH] sendfile() and UDP socket

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 22 Sep 2008 04:21:57 +0400

On Sun, Sep 21, 2008 at 01:04:58AM -0700, David Miller ([email-masked]) wrote:
> Applications which work over datagram protocols must perform their own
> segmentation.  It is not like doing a send over a stream protocol like
> TCP, where you can use whatever length you want for send calls and
> segmentation is done for the application.

But isn't the whole idea of the sendfile() is to send a file no matter
what underlying media is?

> If you look, this is what things like NFS using SUNRPC over UDP do.
> They have a transmission unit for the data transfer and use that for
> each "send".

That's maybe because udp_sendpage() does not support sending pending
data if new packet is too big to attach?

-- 
	Evgeniy Polyakov